import {Config, Inject, Injectable, Routing} from '@extollo/lib'

@Injectable()
export class Cobalt {
    @Inject()
    protected readonly config!: Config

    @Inject()
    protected readonly routing!: Routing

    public getSession(): {[key: string]: any} {
        return {
            app: {
                name: this.config.get('app.name'),
                url: this.routing.getAppUrl().toRemote,
            }
        }
    }

    public getState(): {[key: string]: any} {
        return {}
    }
}
